#
# Conditional build:
%bcond_with	tests		# build with tests

%define		php_min_version 5.3.6
%include	/usr/lib/rpm/macros.php
Summary:	PHP Coding Standards Fixer
Name:		php-cs-fixer
Version:	1.13.3
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/FriendsOfPHP/PHP-CS-Fixer/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7cb0ac32777359db0f68025a881e4cb5
Source1:	autoload.php
Patch0:		autoload.patch
Patch1:		allow-cache.patch
URL:		http://cs.sensiolabs.org/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
%if %{with tests}
BuildRequires:	%{php_name}-cli
BuildRequires:	%{php_name}-ctype
BuildRequires:	%{php_name}-phar
BuildRequires:	%{php_name}-tokenizer
%endif
Requires:	/usr/bin/php
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(phar)
Requires:	php(posix)
Requires:	php(tokenizer)
Requires:	php-sebastian-diff >= 1.1
Requires:	php-symfony2-ClassLoader >= 2.7.7
Requires:	php-symfony2-Console >= 2.3
Requires:	php-symfony2-EventDispatcher >= 2.1
Requires:	php-symfony2-Finder >= 2.1
Requires:	php-symfony2-Process >= 2.3
Requires:	php-symfony2-Stopwatch >= 2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PHP Coding Standards Fixer tool fixes most issues in your code
when you want to follow the PHP coding standards as defined in the
PSR-1 and PSR-2 documents.

If you are already using PHP_CodeSniffer to identify coding standards
problems in your code, you know that fixing them by hand is tedious,
especially on large projects. This tool does the job for you.

%prep
%setup -qn PHP-CS-Fixer-%{version}
%patch0 -p1
%patch1 -p1

mv Symfony/CS/Resources/phar-stub.php .
cp -p %{SOURCE1} Symfony/CS/autoload.php

%build
ver=$(awk -F"'" '/const VERSION/{print $(NF-1)}' Symfony/CS/Fixer.php)
test "$ver" = %{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_data_dir}/Symfony/CS}
cp -a Symfony $RPM_BUILD_ROOT%{php_data_dir}
install -p php-cs-fixer $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{php_data_dir}/Symfony/CS
%changelog
* Mon Oct 23 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-cs-fixer.git;a=log;h=master

* Mon Oct 23 2017 Elan Ruusamäe <glen@pld-linux.org> b9db055
- up to 1.13.3

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> 4a8cfdb
- add upstream link

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> aeb0f72
- posix ext for colored output

* Tue Jul 18 2017 Elan Ruusamäe <glen@pld-linux.org> 3fb920c
- drop weird logic disabling cache on non-phar, non-composer builds

* Wed Apr 26 2017 Elan Ruusamäe <glen@delfi.ee> 97b9ecb
- up to 1.13.1; last 1.x version

* Fri Mar 31 2017 Elan Ruusamäe <glen@delfi.ee> 36f31f4
- do not load composer autoloader

* Fri Oct 07 2016 Elan Ruusamäe <glen@delfi.ee> 85ad0fc
- up to 1.11.8

* Sun Mar 06 2016 Elan Ruusamäe <glen@delfi.ee> 58974c9
- up to 1.11.2

* Sat Feb 06 2016 Elan Ruusamäe <glen@delfi.ee> a0b6e45
- up to 1.11.1; package from source

* Sat Apr 04 2015 Elan Ruusamäe <glen@delfi.ee> d8b7644
- update BR

* Sat Apr 04 2015 Elan Ruusamäe <glen@delfi.ee> ea5a6fd
- up to 1.6

* Wed Jul 16 2014 Elan Ruusamäe <glen@delfi.ee> 1579096
- bump version (3cef8c3d)

* Mon Dec 02 2013 Elan Ruusamäe <glen@delfi.ee> 1c08b1f
- new, version 0.3.0 post version

